librevenge::RVNGHTMLTextGenerator Class Reference documentation

librevenge::RVNGHTMLTextGenerator Class Reference

`#include <RVNGHTMLTextGenerator.h>`

Inheritance diagram for librevenge::RVNGHTMLTextGenerator:

## Public Member Functions
| RVNGHTMLTextGenerator (RVNGString &document)
| ~RVNGHTMLTextGenerator ()
void | setDocumentMetaData (const RVNGPropertyList &propList)
| Called when all document metadata should be set.
void | startDocument (const RVNGPropertyList &propList)
| Called at the start of the parsing process.
void | endDocument ()
| Called at the end of the parsing process.
void | defineEmbeddedFont (const RVNGPropertyList &propList)
| Called when an embedded font should be defined.
void | definePageStyle (const RVNGPropertyList &)
void | openPageSpan (const RVNGPropertyList &propList)
| Called when a new page span is opened.
void | closePageSpan ()
| Called when a page span is closed.
void | openHeader (const RVNGPropertyList &propList)
| Called when a header should be opened (a sub-document will be placed inside of it).
void | closeHeader ()
| Called when a header should be closed.
void | openFooter (const RVNGPropertyList &propList)
| Called when a footer should be opened (a sub-document will be placed inside of it).
void | closeFooter ()
| Called when a footer should be closed.
void | defineSectionStyle (const RVNGPropertyList &)
void | openSection (const RVNGPropertyList &propList)
| Called when a new section is opened.
void | closeSection ()
| Called when a section is closed.
void | defineParagraphStyle (const RVNGPropertyList &)
void | openParagraph (const RVNGPropertyList &propList)
| Called when a new paragraph is opened.
void | closeParagraph ()
| Called when a paragraph is closed.
void | defineCharacterStyle (const RVNGPropertyList &)
void | openSpan (const RVNGPropertyList &propList)
| Called when a text span is opened.
void | closeSpan ()
| Called when a text span is closed.
void | openLink (const RVNGPropertyList &propList)
| Called when a link should be opened.
void | closeLink ()
| Called when the current link is closed.
void | insertTab ()
| Called when a TAB character should be inserted.
void | insertText (const RVNGString &text)
| Called when a string of text should be inserted.
void | insertSpace ()
| Called when an explicit space should be inserted.
void | insertLineBreak ()
| Called when a line break should be inserted.
void | insertField (const RVNGPropertyList &propList)
| Called when a field should be inserted.
void | openOrderedListLevel (const RVNGPropertyList &propList)
| Called when a new ordered list level should be opened.
void | openUnorderedListLevel (const RVNGPropertyList &propList)
| Called when a new unordered list level should be opened.
void | closeOrderedListLevel ()
| Called when an unordered list level should be closed.
void | closeUnorderedListLevel ()
| Called when an ununordered list level should be closed.
void | openListElement (const RVNGPropertyList &propList)
| Called when a list element should be opened.
void | closeListElement ()
| Called when a list element should be closed.
void | openFootnote (const RVNGPropertyList &propList)
| Called when a footnote should be opened (a sub-document will be placed inside of it).
void | closeFootnote ()
| Called when a footnote should be closed.
void | openEndnote (const RVNGPropertyList &propList)
| Called when a endnote should be opened (a sub-document will be placed inside of it).
void | closeEndnote ()
| Called when a endnote should be closed.
void | openComment (const RVNGPropertyList &propList)
| Called when a comment or annotation should be opened (a sub-document will be placed inside of it).
void | closeComment ()
| Called when a comment or annotation should be closed.
void | openTextBox (const RVNGPropertyList &propList)
| Called when a text box should be opened (a sub-document will be placed inside of it).
void | closeTextBox ()
| Called when a text box should be closed.
void | openTable (const RVNGPropertyList &propList)
| Called when a table should be opened.
void | openTableRow (const RVNGPropertyList &propList)
| Called when a new table row is opened.
void | closeTableRow ()
| Called when the current table row is closed.
void | openTableCell (const RVNGPropertyList &propList)
| Called when a new table cell is opened.
void | closeTableCell ()
| Called when the current table cell is closed.
void | insertCoveredTableCell (const RVNGPropertyList &propList)
| Called when a covered (spanned by another cell in the table) table cell is opened.
void | closeTable ()
| Called when the current table is closed.
void | openFrame (const RVNGPropertyList &propList)
| Called when a positioned box should be opened.
void | closeFrame ()
| Called when the current positioned box is closed.
void | openGroup (const librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList)
void | drawRectangle (const librevenge::RVNGPropertyList &propList)
void | drawEllipse (const librevenge::RVNGPropertyList &propList)
void | drawPolygon (const librevenge::RVNGPropertyList &propList)
void | drawPolyline (const librevenge::RVNGPropertyList &propList)
void | drawPath (const librevenge::RVNGPropertyList &propList)
void | drawConnector (const RVNGPropertyList &propList)
| Draw a connector.
void | insertBinaryObject (const RVNGPropertyList &propList)
| Called when a binary object should be inserted.
void | insertEquation (const RVNGPropertyList &propList)
| Called when a mathml object should be inserted.
Public Member Functions inherited from librevenge::RVNGTextInterface
virtual | ~RVNGTextInterface ()

## Private Member Functions
| RVNGHTMLTextGenerator (const RVNGHTMLTextGenerator &)
RVNGHTMLTextGenerator & | operator= (const RVNGHTMLTextGenerator &)

## Private Attributes
RVNGHTMLTextGeneratorImpl * | m_impl

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextGenerator() [1/2]

librevenge::RVNGHTMLTextGenerator::RVNGHTMLTextGenerator | ( | RVNGString & | document | ) |
| explicit

Referenced by operator=(), and RVNGHTMLTextGenerator().

## ◆ ~RVNGHTMLTextGenerator()

librevenge::RVNGHTMLTextGenerator::~RVNGHTMLTextGenerator | ( |  | ) |

## ◆ RVNGHTMLTextGenerator() [2/2]

librevenge::RVNGHTMLTextGenerator::RVNGHTMLTextGenerator | ( | const RVNGHTMLTextGenerator & |  | ) |
| private

## Member Function Documentation

## ◆ closeComment()

void librevenge::RVNGHTMLTextGenerator::closeComment | ( |  | ) |
| virtual

Called when a comment or annotation should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeEndnote()

void librevenge::RVNGHTMLTextGenerator::closeEndnote | ( |  | ) |
| virtual

Called when a endnote should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeFooter()

void librevenge::RVNGHTMLTextGenerator::closeFooter | ( |  | ) |
| virtual

Called when a footer should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeFootnote()

void librevenge::RVNGHTMLTextGenerator::closeFootnote | ( |  | ) |
| virtual

Called when a footnote should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeFrame()

void librevenge::RVNGHTMLTextGenerator::closeFrame | ( |  | ) |
| virtual

Called when the current positioned box is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeGroup()

void librevenge::RVNGHTMLTextGenerator::closeGroup | ( |  | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ closeHeader()

void librevenge::RVNGHTMLTextGenerator::closeHeader | ( |  | ) |
| virtual

Called when a header should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeLink()

void librevenge::RVNGHTMLTextGenerator::closeLink | ( |  | ) |
| virtual

Called when the current link is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeListElement()

void librevenge::RVNGHTMLTextGenerator::closeListElement | ( |  | ) |
| virtual

Called when a list element should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeOrderedListLevel()

void librevenge::RVNGHTMLTextGenerator::closeOrderedListLevel | ( |  | ) |
| virtual

Called when an unordered list level should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closePageSpan()

void librevenge::RVNGHTMLTextGenerator::closePageSpan | ( |  | ) |
| virtual

Called when a page span is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeParagraph()

void librevenge::RVNGHTMLTextGenerator::closeParagraph | ( |  | ) |
| virtual

Called when a paragraph is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeSection()

void librevenge::RVNGHTMLTextGenerator::closeSection | ( |  | ) |
| virtual

Called when a section is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeSpan()

void librevenge::RVNGHTMLTextGenerator::closeSpan | ( |  | ) |
| virtual

Called when a text span is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeTable()

void librevenge::RVNGHTMLTextGenerator::closeTable | ( |  | ) |
| virtual

Called when the current table is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeTableCell()

void librevenge::RVNGHTMLTextGenerator::closeTableCell | ( |  | ) |
| virtual

Called when the current table cell is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeTableRow()

void librevenge::RVNGHTMLTextGenerator::closeTableRow | ( |  | ) |
| virtual

Called when the current table row is closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeTextBox()

void librevenge::RVNGHTMLTextGenerator::closeTextBox | ( |  | ) |
| virtual

Called when a text box should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ closeUnorderedListLevel()

void librevenge::RVNGHTMLTextGenerator::closeUnorderedListLevel | ( |  | ) |
| virtual

Called when an ununordered list level should be closed.

Implements librevenge::RVNGTextInterface.

## ◆ defineCharacterStyle()

void librevenge::RVNGHTMLTextGenerator::defineCharacterStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ defineEmbeddedFont()

void librevenge::RVNGHTMLTextGenerator::defineEmbeddedFont | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when an embedded font should be defined.

Parameters

  propList | A set of properties that specify the font. May contain: `librevenge:name` The name of the font `librevenge:mime-type` The mimetype of the font `office:binary-data` The font data `librevenge:replacement-objects` A property list vector containing alternative formats of the font. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:font-style` The font style ("italic" or "normal") `librevenge:font-weight` The font weight ("bold" or "normal")

Implements librevenge::RVNGTextInterface.

## ◆ defineGraphicStyle()

void librevenge::RVNGHTMLTextGenerator::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ definePageStyle()

void librevenge::RVNGHTMLTextGenerator::definePageStyle | ( | const RVNGPropertyList & |  | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ defineParagraphStyle()

void librevenge::RVNGHTMLTextGenerator::defineParagraphStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ defineSectionStyle()

void librevenge::RVNGHTMLTextGenerator::defineSectionStyle | ( | const RVNGPropertyList & |  | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ drawConnector()

void librevenge::RVNGHTMLTextGenerator::drawConnector | ( | const RVNGPropertyList & | propList | ) |
| virtual

Draw a connector.

The connector will be typically between two shapes, but free-standing connectors are allowed too.

Parameters

  propList | Defines a set of properties for the object. May contain: `draw:end-shape` The `ID` of the shape attached at the end. Should not be present if the connector's end is not attached to any object. `draw:start-shape` The `ID` of the shape attached at the beginning. Should not be present if the connector's start is not attached to any object. `svg:d` The connector's geometric path. This is optional; if missing, the consumer is free to render it any way it likes. `svg:x1` The `X` coordinate of the start point. `svg:y1` The `Y` coordinate of the start point. `svg:x2` The `X` coordinate of the end point. `svg:y2` The `Y` coordinate of the end point.

Implements librevenge::RVNGTextInterface.

## ◆ drawEllipse()

void librevenge::RVNGHTMLTextGenerator::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ drawPath()

void librevenge::RVNGHTMLTextGenerator::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ drawPolygon()

void librevenge::RVNGHTMLTextGenerator::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ drawPolyline()

void librevenge::RVNGHTMLTextGenerator::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ drawRectangle()

void librevenge::RVNGHTMLTextGenerator::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ endDocument()

void librevenge::RVNGHTMLTextGenerator::endDocument | ( |  | ) |
| virtual

Called at the end of the parsing process.

This is always the last callback made.

Implements librevenge::RVNGTextInterface.

## ◆ insertBinaryObject()

void librevenge::RVNGHTMLTextGenerator::insertBinaryObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a binary object should be inserted.

Parameters

  propList | Defines a set of properties for the object. May contain: `librevenge:mime-type` The mimetype of the object `office:binary-data` The object data `librevenge:replacement-objects` A property list vector containing alternative representations of the content. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:replacement-text` A string containing a text representation of the content.

Implements librevenge::RVNGTextInterface.

## ◆ insertCoveredTableCell()

void librevenge::RVNGHTMLTextGenerator::insertCoveredTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a covered (spanned by another cell in the table) table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned

Implements librevenge::RVNGTextInterface.

## ◆ insertEquation()

void librevenge::RVNGHTMLTextGenerator::insertEquation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a mathml object should be inserted.

Parameters

  propList | Defines a set of properties for the object. `librevenge:mime-type` The mimetype of the object ; its value may be "application/mathml-presentation+xml" or "application/mathml+xml" `librevenge:data` reference to the string containing the equation representation

Implements librevenge::RVNGTextInterface.

## ◆ insertField()

void librevenge::RVNGHTMLTextGenerator::insertField | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a field should be inserted.

Field types may include:

- `librevenge:field-type` field types may include:
  1. `text:page-number` Current page number
  2. `text:page-count` Total # of pages in document
- `style:num-format` Type of page number (for page number)

Implements librevenge::RVNGTextInterface.

## ◆ insertLineBreak()

void librevenge::RVNGHTMLTextGenerator::insertLineBreak | ( |  | ) |
| virtual

Called when a line break should be inserted.

Implements librevenge::RVNGTextInterface.

## ◆ insertSpace()

void librevenge::RVNGHTMLTextGenerator::insertSpace | ( |  | ) |
| virtual

Called when an explicit space should be inserted.

Implements librevenge::RVNGTextInterface.

## ◆ insertTab()

void librevenge::RVNGHTMLTextGenerator::insertTab | ( |  | ) |
| virtual

Called when a TAB character should be inserted.

Implements librevenge::RVNGTextInterface.

## ◆ insertText()

void librevenge::RVNGHTMLTextGenerator::insertText | ( | const RVNGString & | text | ) |
| virtual

Called when a string of text should be inserted.

Parameters

  text | A textbuffer encoded as a UTF8 string

Implements librevenge::RVNGTextInterface.

## ◆ openComment()

void librevenge::RVNGHTMLTextGenerator::openComment | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a comment or annotation should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Defines a set of properties for the comment or annotation.

Implements librevenge::RVNGTextInterface.

## ◆ openEndnote()

void librevenge::RVNGHTMLTextGenerator::openEndnote | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a endnote should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Defines a set of properties for the endnote. May contain: `librevenge:number` The endnote's number

Implements librevenge::RVNGTextInterface.

## ◆ openFooter()

void librevenge::RVNGHTMLTextGenerator::openFooter | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a footer should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Property list for the footer. May contain: `librevenge:occurrence` Determines on which pages the footer will occur (odd, even, or all)

Implements librevenge::RVNGTextInterface.

## ◆ openFootnote()

void librevenge::RVNGHTMLTextGenerator::openFootnote | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a footnote should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Defines a set of properties for the footnote. May contain: `librevenge:number` The footnote's number

Implements librevenge::RVNGTextInterface.

## ◆ openFrame()

void librevenge::RVNGHTMLTextGenerator::openFrame | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a positioned box should be opened.

Parameters

  propList | Defines a set of properties for the box. May contain: `text:anchor-type` How the Box is anchored (page, frame, paragraph, char, as-char) `svg:x` Horizontal position of the box (in inches) `svg:y` Vertical position of the box (in inches) `style:horizontal-pos` Horizontal alignment of the box (left, center, right, from-left, inside, outside, from-inside) `style:horizontal-rel` From where the horizontal position of the box is measured (page, page-content, page-start-margin, page-end-margin, frame, frame-content, frame-start-margin, frame-end-margin, paragraph, paragraph-content, paragraph-start-margin, paragraph-end-margin, char) `style:vertical-pos` Vertical alignment of the box `style:vertical-rel` From where the vertical position of the box is measured `svg:width` Width of the box (in inches) `style:relative-width` If the width should scale to keep the width/height ratio of the original object, this property is set to "scale". `svg:height` Height of the box (in inches) `style:relative-height` If the height should scale to keep the width/height ratio of the original object, this property is set to "scale".

Implements librevenge::RVNGTextInterface.

## ◆ openGroup()

void librevenge::RVNGHTMLTextGenerator::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGTextInterface.

## ◆ openHeader()

void librevenge::RVNGHTMLTextGenerator::openHeader | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a header should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Property list for the header. May contain: `librevenge:occurrence` Determines on which pages the header will occur (odd, even, or all)

Implements librevenge::RVNGTextInterface.

## ◆ openLink()

void librevenge::RVNGHTMLTextGenerator::openLink | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a link should be opened.

Parameters

  propList | Defines a set of properties for the link. May contain: `xlink:type` . `xlink:href` . `office:binary-data` The data of the linked content when xlink:href is omitted. `librevenge:mime-type` The mimetype of the linked content when xlink:href is omitted.

Implements librevenge::RVNGTextInterface.

## ◆ openListElement()

void librevenge::RVNGHTMLTextGenerator::openListElement | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a list element should be opened.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGTextInterface.

## ◆ openOrderedListLevel()

void librevenge::RVNGHTMLTextGenerator::openOrderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new ordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGTextInterface.

## ◆ openPageSpan()

void librevenge::RVNGHTMLTextGenerator::openPageSpan | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new page span is opened.

This will always be called before any actual content is placed into the document.

Parameters

  propList | Property list for the page span. May contain: `librevenge:num-pages` The length of this span, in number of pages `librevenge:is-last-page-span` Whether this is the start of the last page span in the document `fo:page-width` The width of the page, in inches `fo:page-height` The height of the page, in inches `style:print-orientation` The orientation of the page (portrait or landscape) `fo:margin-left` The left margin for each page in the span, in inches `fo:margin-right` The right margin for each page in the span, in inches `fo:margin-top` The top margin for each page in the span, in inches `fo:margin-bottom` The bottom margin for each page in the span, in inches `librevenge:chapter-names` A property list vector containing starting chapters. Every element is a property list containing: `librevenge:name` The title of the chapter

Implements librevenge::RVNGTextInterface.

## ◆ openParagraph()

void librevenge::RVNGHTMLTextGenerator::openParagraph | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new paragraph is opened.

This (or openListElement) will always be called before any text or span is placed into the document.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `text:outline-level` The level of a heading represented by this paragraph. `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGTextInterface.

## ◆ openSection()

void librevenge::RVNGHTMLTextGenerator::openSection | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new section is opened.

Parameters

  propList | Property list for the section. May contain: `fo:margin-left` The left indentation of this section, in inches `fo:margin-right` The right indentation of this section, in inches `librevenge:margin-bottom` Extra space to add after the section, in inches `text:dont-balance-text-columns` Whether or not to balance text columns `style:columns` List of definitions of each column: left gutter, right gutter, and width (includes the gutters). Empty if there is only one column in the section. Each column may contain: `style:rel-width` `fo:start-indent` The left indentation of the margin, in inches `fo:end-indent` The right indentation of the margin, in inches

Implements librevenge::RVNGTextInterface.

## ◆ openSpan()

void librevenge::RVNGHTMLTextGenerator::openSpan | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a text span is opened.

Parameters

  propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-line-through-type` (none, double or single, if present) `style:text-line-through-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-underline-type` (none, double or single, if present) `style:text-underline-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: #RRGGBB) `fo:background-color` The background color of the text in the span (encoded in hex: #RRGGBB) `style:text-blinking` Whether the text should blink (true or false) `fo:text-shadow\n` `fo:language\n` \ The language of the text in the span, a valid language code according to ISO 639

Implements librevenge::RVNGTextInterface.

## ◆ openTable()

void librevenge::RVNGHTMLTextGenerator::openTable | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a table should be opened.

Parameters

  propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches `style:rel-width` Total relative width of the table, in percents `fo:break-before` Whether this table should be placed in a new column or page (the value is set to column or page if so) `librevenge:table-columns` Column definitions for the table. May contain `style:column-width` Width of a column, in inches `style:rel-column-width` Relative width of a column, in ODF format

Implements librevenge::RVNGTextInterface.

## ◆ openTableCell()

void librevenge::RVNGHTMLTextGenerator::openTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell (encoded in hex: #RRGGBB) `style:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

Implements librevenge::RVNGTextInterface.

## ◆ openTableRow()

void librevenge::RVNGHTMLTextGenerator::openTableRow | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table row is opened.

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implements librevenge::RVNGTextInterface.

## ◆ openTextBox()

void librevenge::RVNGHTMLTextGenerator::openTextBox | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a text box should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Defines a set of properties for the text box.

Implements librevenge::RVNGTextInterface.

## ◆ openUnorderedListLevel()

void librevenge::RVNGHTMLTextGenerator::openUnorderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new unordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGTextInterface.

## ◆ operator=()

RVNGHTMLTextGenerator & librevenge::RVNGHTMLTextGenerator::operator= | ( | const RVNGHTMLTextGenerator & |  | ) |
| private

## ◆ setDocumentMetaData()

void librevenge::RVNGHTMLTextGenerator::setDocumentMetaData | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when all document metadata should be set.

This is always the first callback made.

Parameters

  propList | Property list for the metadata. May contain: `dc:creator` `dc:identifier` The document's unique identifier `dc:language` The document's keywords `dc:publisher` The document's publisher `dc:source` `dc:subject` The document's subject `dc:type` The document's type `dcterms:available` Date when the document was completed `dcterms:issued:` Date of the version of the document `librevenge:abstract` Abstract of the document's contents `librevenge:account` Account `librevenge:address` Address `librevenge:attachments` `librevenge:authorization` `librevenge:bill-to` `librevenge:blind-copy` `librevenge:carbon-copy` `librevenge:checked-by` `librevenge:client` `librevenge:comments` `librevenge:department` `librevenge:descriptive-name` The descriptive name for the document `librevenge:descriptive-type` The descriptive type for the document `librevenge:destination` `librevenge:disposition` `librevenge:division` `librevenge:document-number` `librevenge:editor` `librevenge:forward-to` `librevenge:group` `librevenge:mail-stop` `librevenge:matter` `librevenge:office` `librevenge:owner` `librevenge:project` `librevenge:purpose` `librevenge:received-from` `librevenge:recorded-by` `librevenge:recorded-date` Date when the document was recorded `librevenge:reference` `librevenge:revision-notes` `librevenge:revision-number` `librevenge:section` `librevenge:security` `librevenge:status` `librevenge:telephone-number` `librevenge:version-notes` `librevenge:version-number` `meta:creation-date` Document creation date `meta:initial-creator` The document's author `meta:keyword` The document's keywords `librevenge:cover-images` List of cover image definitions for the document. The list typically contains one item. Each cover image may contain: `librevenge:mime-type` The mimetype of the image `office:binary-data` The image data

Implements librevenge::RVNGTextInterface.

## ◆ startDocument()

void librevenge::RVNGHTMLTextGenerator::startDocument | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called at the start of the parsing process.

This is always the second callback made.

Implements librevenge::RVNGTextInterface.

## Member Data Documentation

## ◆ m_impl

RVNGHTMLTextGeneratorImpl* librevenge::RVNGHTMLTextGenerator::m_impl
| private

Referenced by closeComment(), closeEndnote(), closeFooter(), closeFootnote(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineParagraphStyle(), endDocument(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openComment(), openEndnote(), openFooter(), openFootnote(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), RVNGHTMLTextGenerator(), setDocumentMetaData(), and ~RVNGHTMLTextGenerator().

The documentation for this class was generated from the following files:

- RVNGHTMLTextGenerator.h
- RVNGHTMLTextGenerator.cpp